import type { Key } from '../crypto';
import type { ConnectionRecord } from '../modules/connections';
import type { ResolvedDidCommService } from '../modules/didcomm';
import type { OutOfBandRecord } from '../modules/oob/repository';
import type { OutboundMessage, OutboundServiceMessage } from '../types';
import type { AgentMessage } from './AgentMessage';
export declare function createOutboundMessage<T extends AgentMessage = AgentMessage>(connection: ConnectionRecord, payload: T, outOfBand?: OutOfBandRecord): OutboundMessage<T>;
export declare function createOutboundServiceMessage<T extends AgentMessage = AgentMessage>(options: {
    payload: T;
    service: ResolvedDidCommService;
    senderKey: Key;
}): OutboundServiceMessage<T>;
export declare function isOutboundServiceMessage(message: OutboundMessage | OutboundServiceMessage): message is OutboundServiceMessage;
