import type { Handler } from '../../../../../agent/Handler';
import type { InboundMessageContext } from '../../../../../agent/models/InboundMessageContext';
import type { Logger } from '../../../../../logger';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { V2CredentialService } from '../V2CredentialService';
import { V2IssueCredentialMessage } from '../messages/V2IssueCredentialMessage';
export declare class V2IssueCredentialHandler implements Handler {
    private credentialService;
    private didCommMessageRepository;
    private logger;
    supportedMessages: (typeof V2IssueCredentialMessage)[];
    constructor(credentialService: V2CredentialService, didCommMessageRepository: DidCommMessageRepository, logger: Logger);
    handle(messageContext: InboundMessageContext<V2IssueCredentialMessage>): Promise<import("../../../../../types").OutboundMessage<import("..").V2CredentialAckMessage> | import("../../../../../types").OutboundServiceMessage<import("..").V2CredentialAckMessage> | undefined>;
    private acceptCredential;
}
