import type { AgentContext } from '../../../../agent';
import type { DidResolver } from '../../domain/DidResolver';
import type { DidResolutionResult, ParsedDid } from '../../types';
import { AgentDependencies } from '../../../../agent/AgentDependencies';
import { Logger } from '../../../../logger';
import { IndyPoolService } from '../../../ledger';
export declare class IndySdkSovDidResolver implements DidResolver {
    private indy;
    private indyPoolService;
    private logger;
    constructor(indyPoolService: IndyPoolService, agentDependencies: AgentDependencies, logger: Logger);
    readonly supportedMethods: string[];
    resolve(agentContext: AgentContext, did: string, parsed: ParsedDid): Promise<DidResolutionResult>;
    private getPublicDid;
    private getEndpointsForDid;
}
