import type { AgentContext } from '../../../agent';
import type { DidRegistrar } from '../domain/DidRegistrar';
import type { DidCreateOptions, DidCreateResult, DidDeactivateOptions, DidDeactivateResult, DidUpdateOptions, DidUpdateResult } from '../types';
import { Logger } from '../../../logger';
export declare class DidRegistrarService {
    private logger;
    private registrars;
    constructor(logger: Logger, registrars: DidRegistrar[]);
    create<CreateOptions extends DidCreateOptions = DidCreateOptions>(agentContext: AgentContext, options: CreateOptions): Promise<DidCreateResult>;
    update(agentContext: AgentContext, options: DidUpdateOptions): Promise<DidUpdateResult>;
    deactivate(agentContext: AgentContext, options: DidDeactivateOptions): Promise<DidDeactivateResult>;
    private findRegistrarForMethod;
}
