"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.V2QueriesMessageHandler = void 0;
const helpers_1 = require("../../../../../agent/helpers");
const messages_1 = require("../messages");
class V2QueriesMessageHandler {
    constructor(discoverFeaturesService) {
        this.supportedMessages = [messages_1.V2QueriesMessage];
        this.discoverFeaturesService = discoverFeaturesService;
    }
    async handle(inboundMessage) {
        const connection = inboundMessage.assertReadyConnection();
        const discloseMessage = await this.discoverFeaturesService.processQuery(inboundMessage);
        if (discloseMessage) {
            return helpers_1.createOutboundMessage(connection, discloseMessage.message);
        }
    }
}
exports.V2QueriesMessageHandler = V2QueriesMessageHandler;
//# sourceMappingURL=V2QueriesMessageHandler.js.map