import type { AgentContext } from '../../../agent';
import type * as Indy from 'indy-sdk';
import { AgentDependencies } from '../../../agent/AgentDependencies';
import { IndyLedgerService } from '../../ledger/services/IndyLedgerService';
export declare class IndyVerifierService {
    private indy;
    private ledgerService;
    constructor(ledgerService: IndyLedgerService, agentDependencies: AgentDependencies);
    verifyProof(agentContext: AgentContext, { proofRequest, proof, schemas, credentialDefinitions }: VerifyProofOptions): Promise<boolean>;
    private getRevocationRegistries;
}
export interface VerifyProofOptions {
    proofRequest: Indy.IndyProofRequest;
    proof: Indy.IndyProof;
    schemas: Indy.Schemas;
    credentialDefinitions: Indy.CredentialDefs;
}
