import type { InboundMessageContext } from '../../../../../agent/models/InboundMessageContext';
import type { EncryptedMessage } from '../../../../../types';
import type { DeliveryRequestMessage, MessagesReceivedMessage, StatusRequestMessage } from './messages';
import { Dispatcher } from '../../../../../agent/Dispatcher';
import { MessageRepository } from '../../../../../storage/MessageRepository';
import { MediationRecipientService } from '../../../services';
import { MessageDeliveryMessage, StatusMessage } from './messages';
export declare class V2MessagePickupService {
    private messageRepository;
    private dispatcher;
    private mediationRecipientService;
    constructor(messageRepository: MessageRepository, dispatcher: Dispatcher, mediationRecipientService: MediationRecipientService);
    processStatusRequest(messageContext: InboundMessageContext<StatusRequestMessage>): Promise<import("../../../../../types").OutboundMessage<StatusMessage>>;
    queueMessage(connectionId: string, message: EncryptedMessage): Promise<void>;
    processDeliveryRequest(messageContext: InboundMessageContext<DeliveryRequestMessage>): Promise<import("../../../../../types").OutboundMessage<MessageDeliveryMessage | StatusMessage>>;
    processMessagesReceived(messageContext: InboundMessageContext<MessagesReceivedMessage>): Promise<import("../../../../../types").OutboundMessage<StatusMessage>>;
    protected registerHandlers(): void;
}
