import type { JsonObject } from '../../../../types';
import type { W3cVerifiableCredentialOptions } from '../credential/W3cVerifiableCredential';
import type { ValidationOptions } from 'class-validator';
import { SingleOrArray } from '../../../../utils/type';
import { W3cVerifiableCredential } from '../credential/W3cVerifiableCredential';
export interface W3cPresentationOptions {
    id?: string;
    context: Array<string> | JsonObject;
    verifiableCredential: SingleOrArray<W3cVerifiableCredentialOptions>;
    type: Array<string>;
    holder?: string;
}
export declare class W3cPresentation {
    constructor(options: W3cPresentationOptions);
    context: Array<string> | JsonObject;
    id?: string;
    type: Array<string>;
    holder?: string;
    verifiableCredential: SingleOrArray<W3cVerifiableCredential>;
}
export declare function IsVerifiablePresentationType(validationOptions?: ValidationOptions): PropertyDecorator;
